AM_CFLAGS = $(GLIB2_CFLAGS) $(GTK2_CFLAGS)
AM_CXXFLAGS = $(GLIB2_CFLAGS) $(GTK2_CFLAGS)

INCLUDES = -I$(top_srcdir)/ $(X_INCLUDES)

lib_LTLIBRARIES = libdcopc.la

libdcopc_la_SOURCES = dcopc.c marshal.c dcopobject.c
libdcopc_la_LIBADD = -lSM -lICE $(GTK2_LIBS) $(GLIB2_LIBS)
libdcopc_la_LDFLAGS = -version-info 1:0 $(X_LDFLAGS) -lICE -no-undefined

dcopcinclude_HEADERS = dcopc.h marshal.h dcopobject.h util.h
dcopcincludedir = $(includedir)/dcopc

noinst_HEADERS = global.h

check_PROGRAMS = glibtest

glibtest_SOURCES = glibtest.c
glibtest_LDADD = libdcopc.la
